/* 
 * machine.h
 *
 * x-kernel v3.3
 *
 * Copyright (c) 1993,1991,1990,1996  Arizona Board of Regents
 */

#ifndef _machine_h
#define _machine_h

typedef int SigHandler(void *arg);

extern void installSignalHandler(int fd, SigHandler func, void *arg);
extern void cancelSignalHandler(int fd);
extern void init_clock(long);
extern void clock_ih(void);
extern void xholdsignals(int fd);
extern void xreleasesignals(int fd);
extern void init_input_handler(void);

#endif  /*  _machine_h */
