/*     
 * $RCSfile: sim.h,v $
 *
 * x-kernel v3.3
 *
 * Copyright (c) 1993,1991,1990,1996  Arizona Board of Regents
 *
 * $Log: sim.h,v $
 * Revision 1.2  1996/01/29 20:12:10  slm
 * Updated copyright and version.
 *
 * Revision 1.1  1995/07/28  21:32:09  slm
 * Initial revision
 *
 * Revision 1.1.1.1.1.1  1994/10/27  20:49:51  hkaram
 * New branch
 *
 * Revision 1.1.1.1  1994/03/16  20:29:53  umass
 * SimAddrBuf uses a MAC48bithost instead of an ETHhost
 *
 * Revision 1.1  1993/11/15  20:38:49  menze
 * Initial revision
 */

/* 
 * Operations common to the simulator class of protocols
 */

#ifndef sim_h
#define sim_h

#define	SIM_SOCK2ADDR	( SIM_CTL * MAXOPS + 0 )

typedef struct {
    IPhost	 ipHost;	/* in */
    int		 udpPort;	/* in */
    MAC48bithost genericHost;	/* out */
} SimAddrBuf;

#endif /* sim_h */

